For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTCreate Order (Bank Transfer, Open Banking)
      • POSTConfirm Payment (Bank Transfer)
      • POSTCreate Widget URL (Cards, Apple Pay)
      • GETGet Active Orders
      • GETGet Orders
      • GETGet Order By ID
      • DELCancel Order
      • POSTDeprecated - Request OTT (Cards, Apple Pay)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIOrders

Cancel Order

||View as Markdown|
DELETE
https://api-gateway-stg.transak.com/api/v2/orders/:orderid
DELETE
/api/v2/orders/:orderid
$curl -X DELETE "https://api-gateway-stg.transak.com/api/v2/orders/?cancelReason="
1{
2 "data": {
3 "orderId": "467b702d-81c4-4f05-aff2-31ef7ebcc83c",
4 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
5 "status": "CANCELLED",
6 "fiatCurrency": "EUR",
7 "partnerUserId": "269b0f29-b5ec-42bb-acea-2b89c15b2505",
8 "cryptoCurrency": "ETH",
9 "isBuyOrSell": "BUY",
10 "fiatAmount": 41,
11 "ipAddress": "13.41.170.70",
12 "amountPaid": 0,
13 "paymentMethod": "sepa_bank_transfer",
14 "walletLink": "https://sepolia.etherscan.io/address/0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
15 "quoteId": "c2f81dfc-77b7-4a2f-a906-610202240c3c",
16 "orderProcessingType": "NORMAL",
17 "addressAdditionalData": false,
18 "network": "ethereum",
19 "conversionPrice": 0.0006888910117672325,
20 "cryptoAmount": 0.02755564,
21 "totalFeeInFiat": 1,
22 "fiatAmountInUsd": 44.99,
23 "countryCode": "IN",
24 "paymentDetails": [
25 {
26 "currency": "EUR",
27 "id": "sepa_bank_transfer",
28 "name": "Bank Transfer Details",
29 "fields": [
30 {
31 "name": "Account Type",
32 "value": "Personal"
33 },
34 {
35 "name": "Amount",
36 "value": "41 EUR"
37 },
38 {
39 "name": "First Name (Beneficiary)",
40 "value": "shashi"
41 },
42 {
43 "name": "Last Name (Beneficiary)",
44 "value": "shekhar"
45 },
46 {
47 "name": "IBAN",
48 "value": "GB07SEOU19870010350545"
49 },
50 {
51 "name": "Bank Name",
52 "value": "Simulator Bank"
53 },
54 {
55 "name": "Bank Country",
56 "value": "Malta"
57 },
58 {
59 "name": "Bank Address",
60 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
61 }
62 ]
63 }
64 ],
65 "autoExpiresAt": "2025-04-08T04:48:10+00:00",
66 "campaignAmount": 0,
67 "campaignAmountInUsd": 0,
68 "tfPerOff": 0,
69 "aTtlFees": 1,
70 "aTskFees": 1,
71 "stateCode": "karnataka",
72 "orderChannelType": "WIDGET",
73 "tokenContractAddress": "0x0000000000000000000000000000000000000000",
74 "userKycType": "STANDARD",
75 "cardPaymentData": {
76 "orderId": "467b702d-81c4-4f05-aff2-31ef7ebcc83c",
77 "paymentId": "67f4a0008ff577a6bcfbcbe9",
78 "pgData": {
79 "liquidityProvider": "OPENPAYD_MALTA",
80 "status": "CREATED",
81 "beneficiaryName": "shashi shekhar",
82 "paymentOptions": [
83 {
84 "currency": "EUR",
85 "id": "sepa_bank_transfer",
86 "name": "Bank Transfer Details",
87 "fields": [
88 {
89 "name": "Account Type",
90 "value": "Personal"
91 },
92 {
93 "name": "Amount",
94 "value": "41 EUR"
95 },
96 {
97 "name": "First Name (Beneficiary)",
98 "value": "shashi"
99 },
100 {
101 "name": "Last Name (Beneficiary)",
102 "value": "shekhar"
103 },
104 {
105 "name": "IBAN",
106 "value": "GB07SEOU19870010350545"
107 },
108 {
109 "name": "Bank Name",
110 "value": "Simulator Bank"
111 },
112 {
113 "name": "Bank Country",
114 "value": "Malta"
115 },
116 {
117 "name": "Bank Address",
118 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
119 }
120 ]
121 }
122 ]
123 },
124 "liquidityProvider": "OPENPAYD_MALTA",
125 "updatedAt": "2025-04-08T04:03:12.469Z"
126 },
127 "lastNotifiedAt": "2025-04-08T04:03:18.869Z",
128 "cancelReason": "cancel"
129 }
130}
The **Cancel Order** is an **authenticated API** that allows users to **cancel an existing order** before payment is completed. This API is useful for cases where **users change their mind, enter incorrect details, or experience payment issues**. Once an order is **successfully canceled**, it cannot be **reversed**, and a new order must be placed.
Was this page helpful?
Previous

Get Order By ID

Next

Deprecated - Request OTT (Cards, Apple Pay)

Built with

The Cancel Order is an authenticated API that allows users to cancel an existing order before payment is completed. This API is useful for cases where users change their mind, enter incorrect details, or experience payment issues. Once an order is successfully canceled, it cannot be reversed, and a new order must be placed.

Path parameters

orderidstringRequired

orderId is the id received from the API - api/v2/orders

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

cancelReasonstringRequired
Reason to Cancel the order

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error